package CRSDK;

import static CRSDK.CrDevicePropertyCode.*;

@SuppressWarnings("unused")
public enum CrLiveViewPropertyCode {
    CrLiveViewProperty_AF_Area_Position(CrDeviceProperty_AF_Area_Position.getValue()),
    CrLiveViewProperty_Focus_Magnifier_Position (0x0122),
    CrLiveViewProperty_FaceFrame (0x0581),
    CrLiveViewProperty_TrackingFrame (CrDeviceProperty_RemoteTouchOperation.getValue()) ,
    CrLiveViewProperty_FramingFrame (CrDeviceProperty_EframingType.getValue()),
    CrLiveViewProperty_Level (0x0582),
    CrLiveViewProperty_LiveViewUndefined (CrDeviceProperty_MaxVal.getValue()),
    CrLiveViewProperty__LiveViewMaxVal (0x2000);

    private final CrInt32u value;
    CrLiveViewPropertyCode(int value) {
        this.value = new CrInt32u(value);
    }
    public int getValue() {
        return value.intValue();
    }
}
